## Index

### Enumerations

- Component
- FieldId

### Type aliases

- AsObject

## Type aliases

### AsObject

AsObject: { component: Component ; id: FieldId ; label: string; maxlength: number; minlength: number; requiredForCountriesList: string[]; supportedCountriesList: Country . AsObject []; supportedCurrenciesList: TradeCurrency . AsObject []; supportedSepaEuroCountriesList: Country . AsObject []; supportedSepaNonEuroCountriesList: Country . AsObject []; type: string; value: string }

- Defined in src/protobuf/pb_pb.d.ts:8324

#### Type declaration

- ##### component: Component

- ##### id: FieldId

- ##### label: string

- ##### maxlength: number

- ##### minlength: number

- ##### requiredForCountriesList: string[]

- ##### supportedCountriesList: Country . AsObject []

- ##### supportedCurrenciesList: TradeCurrency . AsObject []

- ##### supportedSepaEuroCountriesList: Country . AsObject []

- ##### supportedSepaNonEuroCountriesList: Country . AsObject []

- ##### type: string

- ##### value: string

Generated using TypeDoc